Linux Centos 6 설치 후 한글 입력이 되지 않을 경우 아래와 같이 ibus package 를 설치하신 후 다시 시도해 보시기 바랍니다.


Centos 6 버전에서는 한글 입력을 ibus 를 통하여 진행하게 됩니다.


본인은 CentOS release 6.8 (final) 버전을 사용 중입니다.


yum install 을 이용하여 ibus 패키지들을 설치해 보도록 하겠습니다.


현재 사용자 계정에서 root 계정으로 전환한 후 설치를 진행합니다.


설치가 완료되면 로그아웃 후 로그인 또는 Ctrl+Alt+Backspace 키를 통하여 다시 로그인한 후,

X윈도우의 설정 화면에서 입력 방법에서 변경할 수 있으며, 기본 키보드 한/영 전환 키를 이용하여 gedit 편집기 등을 이용하여 한글을 입력하시면 되겠습니다.


리눅스 한글


X윈도우 작업표시줄에는 한글 입력 도구가 새롭게 나타났으며,


centos 한글 입력


한글 입력이 가능하도록 한/영 키를 눌러 한글로 전환하게 되면 작업표시줄의 입력 방법이 태극 마크로 변경된 것을 확인할 수 있겠습니다.

`



[youman@localhost]#su root

password : ********

[root@localhost youman]#

[root@localhost youman]#yum install ibus ibus-hangul ibus-anthy



============== 진행 과정 시작 ==============

[root@localhost youman]# yum install ibus ibus-hangul ibus-anthy
Loaded plugins: fastestmirror, refresh-packagekit, security
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: ftp.daumkakao.com
 * extras: ftp.daumkakao.com
 * updates: ftp.daumkakao.com
Resolving Dependencies
--> Running transaction check
---> Package ibus.x86_64 0:1.3.4-9.el6 will be installed
--> Processing Dependency: ibus-libs = 1.3.4-9.el6 for package: ibus-1.3.4-9.el6.x86_64
--> Processing Dependency: ibus-gtk = 1.3.4-9.el6 for package: ibus-1.3.4-9.el6.x86_64
--> Processing Dependency: im-chooser >= 1.2.5 for package: ibus-1.3.4-9.el6.x86_64
--> Processing Dependency: pyxdg for package: ibus-1.3.4-9.el6.x86_64
--> Processing Dependency: notify-python for package: ibus-1.3.4-9.el6.x86_64
--> Processing Dependency: libibus.so.2()(64bit) for package: ibus-1.3.4-9.el6.x86_64
---> Package ibus-anthy.x86_64 0:1.2.1-3.el6 will be installed
--> Processing Dependency: kasumi for package: ibus-anthy-1.2.1-3.el6.x86_64
--> Processing Dependency: anthy for package: ibus-anthy-1.2.1-3.el6.x86_64
--> Processing Dependency: libanthydic.so.0()(64bit) for package: ibus-anthy-1.2.1-3.el6.x86_64
--> Processing Dependency: libanthy.so.0()(64bit) for package: ibus-anthy-1.2.1-3.el6.x86_64
---> Package ibus-hangul.x86_64 0:1.3.0.20100329-6.el6 will be installed
--> Processing Dependency: libhangul >= 0.0.10 for package: ibus-hangul-1.3.0.20100329-6.el6.x86_64
--> Processing Dependency: libhangul.so.0()(64bit) for package: ibus-hangul-1.3.0.20100329-6.el6.x86_64
--> Running transaction check
---> Package anthy.x86_64 0:9100h-10.1.el6 will be installed
---> Package ibus-gtk.x86_64 0:1.3.4-9.el6 will be installed
---> Package ibus-libs.x86_64 0:1.3.4-9.el6 will be installed
---> Package im-chooser.x86_64 0:1.3.1-3.el6 will be installed
--> Processing Dependency: imsettings >= 0.106.0 for package: im-chooser-1.3.1-3.el6.x86_64
--> Processing Dependency: libimsettings.so.4()(64bit) for package: im-chooser-1.3.1-3.el6.x86_64
---> Package kasumi.x86_64 0:2.5-1.1.el6 will be installed
---> Package libhangul.x86_64 0:0.0.10-1.el6 will be installed
---> Package notify-python.x86_64 0:0.1.1-10.el6 will be installed
---> Package pyxdg.noarch 0:0.18-1.el6 will be installed
--> Running transaction check
---> Package imsettings.x86_64 0:0.108.0-3.6.el6 will be installed
--> Processing Dependency: libgxim.so.2()(64bit) for package: imsettings-0.108.0-3.6.el6.x86_64
---> Package imsettings-libs.x86_64 0:0.108.0-3.6.el6 will be installed
--> Running transaction check
---> Package libgxim.x86_64 0:0.3.3-3.1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package               Arch         Version                    Repository  Size
================================================================================
Installing:
 ibus                  x86_64       1.3.4-9.el6                base       337 k
 ibus-anthy            x86_64       1.2.1-3.el6                base       133 k
 ibus-hangul           x86_64       1.3.0.20100329-6.el6       base        40 k
Installing for dependencies:
 anthy                 x86_64       9100h-10.1.el6             base       6.0 M
 ibus-gtk              x86_64       1.3.4-9.el6                base        27 k
 ibus-libs             x86_64       1.3.4-9.el6                base        99 k
 im-chooser            x86_64       1.3.1-3.el6                base       144 k
 imsettings            x86_64       0.108.0-3.6.el6            base       190 k
 imsettings-libs       x86_64       0.108.0-3.6.el6            base       103 k
 kasumi                x86_64       2.5-1.1.el6                base        72 k
 libgxim               x86_64       0.3.3-3.1.el6              base       126 k
 libhangul             x86_64       0.0.10-1.el6               base       2.1 M
 notify-python         x86_64       0.1.1-10.el6               base        26 k
 pyxdg                 noarch       0.18-1.el6                 base        79 k

Transaction Summary
================================================================================
Install      14 Package(s)

Total download size: 9.4 M
Installed size: 36 M
Is this ok [y/N]: y
Downloading Packages:
(1/14): anthy-9100h-10.1.el6.x86_64.rpm                  | 6.0 MB     00:00    
(2/14): ibus-1.3.4-9.el6.x86_64.rpm                      | 337 kB     00:00    
(3/14): ibus-anthy-1.2.1-3.el6.x86_64.rpm                | 133 kB     00:00    
(4/14): ibus-gtk-1.3.4-9.el6.x86_64.rpm                  |  27 kB     00:00    
(5/14): ibus-hangul-1.3.0.20100329-6.el6.x86_64.rpm      |  40 kB     00:00    
(6/14): ibus-libs-1.3.4-9.el6.x86_64.rpm                 |  99 kB     00:00    
(7/14): im-chooser-1.3.1-3.el6.x86_64.rpm                | 144 kB     00:00    
(8/14): imsettings-0.108.0-3.6.el6.x86_64.rpm            | 190 kB     00:00    
(9/14): imsettings-libs-0.108.0-3.6.el6.x86_64.rpm       | 103 kB     00:00    
(10/14): kasumi-2.5-1.1.el6.x86_64.rpm                   |  72 kB     00:00    
(11/14): libgxim-0.3.3-3.1.el6.x86_64.rpm                | 126 kB     00:00    
(12/14): libhangul-0.0.10-1.el6.x86_64.rpm               | 2.1 MB     00:00    
(13/14): notify-python-0.1.1-10.el6.x86_64.rpm           |  26 kB     00:00    
(14/14): pyxdg-0.18-1.el6.noarch.rpm                     |  79 kB     00:00    
--------------------------------------------------------------------------------
Total                                           5.8 MB/s | 9.4 MB     00:01    
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : ibus-libs-1.3.4-9.el6.x86_64                                1/14
  Installing : anthy-9100h-10.1.el6.x86_64                                 2/14
  Installing : libgxim-0.3.3-3.1.el6.x86_64                                3/14
  Installing : imsettings-libs-0.108.0-3.6.el6.x86_64                      4/14
  Installing : imsettings-0.108.0-3.6.el6.x86_64                           5/14
  Installing : im-chooser-1.3.1-3.el6.x86_64                               6/14
  Installing : kasumi-2.5-1.1.el6.x86_64                                   7/14
  Installing : pyxdg-0.18-1.el6.noarch                                     8/14
  Installing : libhangul-0.0.10-1.el6.x86_64                               9/14
  Installing : notify-python-0.1.1-10.el6.x86_64                          10/14
  Installing : ibus-gtk-1.3.4-9.el6.x86_64                                11/14
  Installing : ibus-1.3.4-9.el6.x86_64                                    12/14
  Installing : ibus-anthy-1.2.1-3.el6.x86_64                              13/14
  Installing : ibus-hangul-1.3.0.20100329-6.el6.x86_64                    14/14
  Verifying  : ibus-libs-1.3.4-9.el6.x86_64                                1/14
  Verifying  : ibus-gtk-1.3.4-9.el6.x86_64                                 2/14
  Verifying  : ibus-anthy-1.2.1-3.el6.x86_64                               3/14
  Verifying  : imsettings-libs-0.108.0-3.6.el6.x86_64                      4/14
  Verifying  : ibus-1.3.4-9.el6.x86_64                                     5/14
  Verifying  : libgxim-0.3.3-3.1.el6.x86_64                                6/14
  Verifying  : kasumi-2.5-1.1.el6.x86_64                                   7/14
  Verifying  : ibus-hangul-1.3.0.20100329-6.el6.x86_64                     8/14
  Verifying  : notify-python-0.1.1-10.el6.x86_64                           9/14
  Verifying  : im-chooser-1.3.1-3.el6.x86_64                              10/14
  Verifying  : imsettings-0.108.0-3.6.el6.x86_64                          11/14
  Verifying  : libhangul-0.0.10-1.el6.x86_64                              12/14
  Verifying  : anthy-9100h-10.1.el6.x86_64                                13/14
  Verifying  : pyxdg-0.18-1.el6.noarch                                    14/14

Installed:
  ibus.x86_64 0:1.3.4-9.el6                   ibus-anthy.x86_64 0:1.2.1-3.el6 
  ibus-hangul.x86_64 0:1.3.0.20100329-6.el6 

Dependency Installed:
  anthy.x86_64 0:9100h-10.1.el6        ibus-gtk.x86_64 0:1.3.4-9.el6           
  ibus-libs.x86_64 0:1.3.4-9.el6       im-chooser.x86_64 0:1.3.1-3.el6         
  imsettings.x86_64 0:0.108.0-3.6.el6  imsettings-libs.x86_64 0:0.108.0-3.6.el6
  kasumi.x86_64 0:2.5-1.1.el6          libgxim.x86_64 0:0.3.3-3.1.el6          
  libhangul.x86_64 0:0.0.10-1.el6      notify-python.x86_64 0:0.1.1-10.el6     
  pyxdg.noarch 0:0.18-1.el6          

Complete!
[root@localhost youman]#

============== 진행 과정 끝 ==============


감사합니다.